## DBusGMessage DBusGMessage — DBus Message |

## Stability Level

Stable, unless otherwise indicated

## Functions

DBusGMessage * | dbus_g_message_ref ()
void | dbus_g_message_unref ()
DBusMessage * | dbus_g_message_get_message ()

## Types and Values

| DBusGMessage
#define | DBUS_TYPE_G_MESSAGE

## Includes

    #include <dbus/dbus-glib.h>

## Description

A DBusGMessage is a boxed type abstracting a DBusMessage.

## Functions

### dbus_g_message_ref ()

    DBusGMessage *
    dbus_g_message_ref (DBusGMessage *message);

`dbus_g_message_ref` is deprecated and should not be used in newly-written code.

New code should use GDBusMessage instead.

Increment refcount on a DBusGMessage

#### Parameters

message | the message to ref |

#### Returns

the message that was ref'd

### dbus_g_message_unref ()

    void
    dbus_g_message_unref (DBusGMessage *message);

`dbus_g_message_unref` is deprecated and should not be used in newly-written code.

New code should use GDBusMessage instead.

Decrement refcount on a DBusGMessage

#### Parameters

message | the message to unref |

### dbus_g_message_get_message ()

    DBusMessage *
    dbus_g_message_get_message (DBusGMessage *gmessage);

`dbus_g_message_get_message` is deprecated and should not be used in newly-written code.

New code should use GDBus instead.

Get the DBusMessage corresponding to this DBusGMessage. The return value does not have its refcount incremented.

#### Parameters

gmessage | a DBusGMessage |

#### Returns

DBusMessage

## Types and Values

### DBusGMessage

    typedef struct _DBusGMessage DBusGMessage;

`DBusGMessage` is deprecated and should not be used in newly-written code.

New code should use GDBusMessage instead.

A DBusGMessage is a boxed type abstracting a DBusMessage from libdbus.

### DBUS_TYPE_G_MESSAGE

    #define DBUS_TYPE_G_MESSAGE      (dbus_g_message_get_g_type ())

`DBUS_TYPE_G_MESSAGE` is deprecated and should not be used in newly-written code.

New code should use GDBus instead.

Expands to a function call returning the boxed GType of a DBusGConnection.

#### Returns

the GLib type

## See Also

DBusMessage